> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debt-wise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate OTP

> Validate the user with a OTP which the user receives on their mobile device.



## OpenAPI

````yaml api-reference/openapi.yaml POST /api/users/{id}/equifax/auth/validate_otp
openapi: 3.0.1
info:
  title: DebtWise API
  version: '2024-07-01'
  description: >-
    The DebtWise API suite is the primary means for developers to offer debt
    management tools within their existing applications.
  contact:
    name: DebtWise Support
    url: https://debt-wise.com
    email: support@debt-wise.com
servers:
  - url: https://staging.debt-wise.com
    description: Sandbox server (uses test data)
  - url: https://app.debt-wise.com
    description: Production server (uses live data)
security:
  - bearerAuth: []
tags:
  - name: Ping
  - name: Users
  - name: Accounts
  - name: Credit Scores
  - name: Equifax
  - name: Debt Payoff Plan
  - name: Debt Payoff Plan Payments
  - name: Articles
  - name: Debt Calculator
paths:
  /api/users/{id}/equifax/auth/validate_otp:
    parameters:
      - $ref: '#/components/parameters/userIdParam'
      - $ref: '#/components/parameters/acceptEncodingParam'
      - $ref: '#/components/parameters/apiVersionParam'
    post:
      tags:
        - Equifax
      summary: Validate OTP
      description: >-
        Validate the user with a OTP which the user receives on their mobile
        device.
      operationId: EquifaxAuthValidateOtp
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - code
              properties:
                code:
                  type: string
                  example: '1234'
                  minLength: 4
                  maxLength: 8
                  description: OTP code
            examples:
              Success:
                summary: Validate OTP
                value:
                  code: '2222'
        required: true
      responses:
        '200':
          description: Returns next step
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EquifaxStep'
        '422':
          description: Equifax error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: string
                        example: equifax_error
                        description: An identifier of an error type inside API.
                      message:
                        type: string
                        example: Invalid OTP
                        description: A human-readable error description.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    userIdParam:
      name: id
      in: path
      schema:
        type: integer
        example: 1
      description: An userId.
      required: true
    acceptEncodingParam:
      name: Accept-Encoding
      in: header
      description: We can compress a response with gzip.
      required: false
      schema:
        type: string
        example: gzip deflate
    apiVersionParam:
      name: API-Version
      in: header
      description: API API Version. See Versioning page for more details.
      required: false
      schema:
        type: string
        example: '2024-07-01'
  schemas:
    EquifaxStep:
      type: object
      required:
        - step
      properties:
        step:
          type: string
          example: validate_otp
          enum:
            - consent
            - validate_otp
            - identity
          description: >-
            Indicates which auth request should be next.
            /equifax/auth/validate_otp from example
    InternalServerError:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: internal_server_error
              description: An identifier of an error type inside API.
            message:
              type: string
              example: >-
                We've notified our engineers and hope to address this issue
                shortly.
              description: A human-readable error description.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````